Package com.tietoenator.trip.jxp

# Enum Class TdbFieldType

java.lang.Object
java.lang.Enum<TdbFieldType>
com.tietoenator.trip.jxp.TdbFieldType

All Implemented Interfaces:
  `Serializable`, `Comparable<TdbFieldType>`, `Constable`

public enum TdbFieldType extends Enum<TdbFieldType>
Enumeration of field types

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DateField`
  DAte field
  `IntegerField`
  INteger field
  `NumberField`
  NUmber (float) field
  `PhraseField`
  PHrase field
  `StringField`
  STring (blob) field
  `TextField`
  TExt field
  `TimeField`
  TIme field
  `UnknownField`
  Invalid

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getFieldType()`
  Retrieve the underlying identifier expected by TRIPxpi for the field type
  `static TdbFieldType`
  `getTypeof(int type)`
  Retrieve the appropriate field type given a TRIPxpi identifier
  `static TdbFieldType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TdbFieldType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UnknownField

    public static final TdbFieldType UnknownField
    Invalid

  - ### TextField

    public static final TdbFieldType TextField
    TExt field

  - ### PhraseField

    public static final TdbFieldType PhraseField
    PHrase field

  - ### IntegerField

    public static final TdbFieldType IntegerField
    INteger field

  - ### NumberField

    public static final TdbFieldType NumberField
    NUmber (float) field

  - ### DateField

    public static final TdbFieldType DateField
    DAte field

  - ### TimeField

    public static final TdbFieldType TimeField
    TIme field

  - ### StringField

    public static final TdbFieldType StringField
    STring (blob) field

- ## Method Details

  - ### values

    public static TdbFieldType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TdbFieldType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getFieldType

    public int getFieldType()
    Retrieve the underlying identifier expected by TRIPxpi for the field type
    Returns:
      The TRIPxpi field type

  - ### getTypeof

    public static TdbFieldType getTypeof(int type)
    Retrieve the appropriate field type given a TRIPxpi identifier
    Parameters:
      `type` - The TRIPxpi field type
    Returns:
      The TdbFieldType that corresponds to the TRIPxpi identifier